Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           libgweather
Version:        2.22.1.1
Release:        1
Summary:        A library for weather information 

Group:          System/Libraries
License:        GPLv2+
URL:            http://www.gnome.org 
Source0:        http://download.gnome.org/sources/libgweather/2.22/%{name}-%{version}.tar.bz2
Source1:	copy.xsl
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf-devel >= 2.8.0
BuildRequires:  gtk2+-devel >= 2.11.0
BuildRequires:  gnome-vfs-devel >= 2.15.4
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)

%description
libgweather is a library to access weather information from online
services for numerous locations.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
# libgweather used to be part of gnome-applets, and
# gnome-applets-devel only had the libgweather-devel parts in it
Obsoletes:	gnome-applets < 2.21.0
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --sysconfdir=%_sysconfdir/gnome
make %{?_smp_mflags}

cd po
make %{name}.pot
for p in *.po; do
  msgmerge -U $p %{name}.pot
done
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

# waste less space 
xsltproc %{SOURCE1} data/Locations.xml > loc.xml
sed -e "s/^\s*//" -e "/^$/d" loc.xml > data/Locations.xml

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gweather.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gweather.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gweather.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/gnome/gconf/schemas/gweather.schemas
%{_libdir}/libgweather.so.*
%{_datadir}/libgweather

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgweather
%{_libdir}/libgweather.so
%{_libdir}/pkgconfig/gweather.pc
%{_libdir}/*.la

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Initial release